Subject: Re: bug#17880: 24.4.50; [FEATURE] abbrev with skeleton

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 14 Jul 2021 11:40:16 +0200

Leo Liu <[email-masked]> writes:

> I was looking for packages to obsolete and find this expand.el. The
> skeleton DSL is certainly more powerful. Comments?

[...]

> === modified file 'lisp/abbrev.el'
> --- lisp/abbrev.el	2014-05-27 01:09:45 +0000
> +++ lisp/abbrev.el	2014-06-30 01:02:15 +0000
> @@ -776,7 +776,7 @@

[...]

> +	  ((consp (symbol-value abbrev))
> +	   (delete-char (- wordstart wordend))
> +	   (skeleton-insert (symbol-value abbrev))))

I think the conclusion here was that we don't really want to make
abbrev.el depend on skeleton here, so the patch was never applied.

For the other issue -- I'm going to go ahead and guess that expand.el is
still used by people (because it's so simple that some people might
prefer it), so obsoleting it would be controversial, I think.

So I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no